CREATE TABLE hz_user_contacts_ (
    USER_CONTACT_ID          NUMBER(18, 0) ,
    USER_PARTY_ID            NUMBER(18, 0) ,
    CONTACT_PARTY_ID         NUMBER(18, 0) ,
    CONTACT_ORG_PARTY_ID     NUMBER(18, 0) ,
    RELATIONSHIP_ID          NUMBER(18, 0) ,
    CONTACT_ADDITION_DATE    DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    USER_CONTACT_ID          NUMBER(18, 0) ,
    USER_PARTY_ID            NUMBER(18, 0) ,
    CONTACT_PARTY_ID         NUMBER(18, 0) ,
    CONTACT_ORG_PARTY_ID     NUMBER(18, 0) ,
    RELATIONSHIP_ID          NUMBER(18, 0) ,
    CONTACT_ADDITION_DATE    DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_hz_user_contacts_ PRIMARY KEY (USER_CONTACT_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, USER_CONTACT_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
